locals {
  # predefined environment names are staging, production, and <branchname>
  environment      = terraform.workspace
  environment_name = trim(substr(local.environment, 0, 22), ".-") # limits the length of the name that it fits constraints google imposes for some resources, e.g. project ids

  # the dns name can be at most 64 chars in total
  dns_name = "${trimsuffix(substr(local.environment, 0, 34), ".-")}.${data.terraform_remote_state.holi_geo_api_common_state.outputs.dns_geo_api_domain}"

  places_api_key = local.environment == "production" ? data.terraform_remote_state.holi_infra_state.outputs.google-places-api-key-production : local.environment == "staging" ? data.terraform_remote_state.holi_infra_state.outputs.google-places-api-key-staging : data.terraform_remote_state.holi_infra_state.outputs.google-places-api-key-dev
}
